Skip to main content
GET
/
subscriptions
/
{id}
Get subscription
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/subscriptions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "<string>",
  "reference_id": "<string>",
  "name": "<string>",
  "amount": 123,
  "currency": "EUR",
  "type": "<string>",
  "status": "CREATED",
  "metadata": {},
  "published_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Response

Subscription details

id
integer
self
string
reference_id
string | null
name
string
amount
number
currency
string
Example:

"EUR"

type
string

Payment method type for this subscription.

status
enum<string>
Available options:
CREATED,
ACTIVE,
CANCELLED,
EXPIRED
metadata
object
published_at
string<date-time> | null
cancelled_at
string<date-time> | null
connections
object

Hypermedia links to related resources.